#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	texstudio
Version		:	3.1.2
Release		:	14.8.0.0%{?dist}
Summary		:	A feature-rich editor for LaTeX documents
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3
URL		:	http://texstudio.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	qt
BuildRequires	:	poppler

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
TeXstudio is an integrated writing environment for creating
LaTeX documents. Our goal is to make writing LaTeX as easy
and comfortable as possible. Therefore TeXstudio has numerous
features like syntax-highlighting, integrated viewer, reference
checking and various assistants.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/%{name}/AUTHORS
%{_datadir}/%{name}/CHANGELOG.txt
%{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/*.{aff,css,dat,dic,html,js}
%{_datadir}/%{name}/*.{json,png,qm,tex}
%{_datadir}/%{name}/*.{badWords,stopWords*}
%{_datadir}/%{name}/template_Book.zip
#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

qmake 						\
	"CONFIG += debug"			\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL_ROOT=%{buildroot}			\
	install

#-----------------------------------------------------------------------------
%changelog
